LFR-FSW - Bug #535

Field HK_LFR_LAST_EXE_TC_SUBTYPE incorrect if aTC_LFR_LOAD_FBINS_MASK has been sent
05/10/2015 12:23 PM - Veronique bouzid

Status: Closed Start date: 05/10/2015
Priority: Urgent Due date:

Assignee: paul leroy % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

La commande TC_LFR_LOAD_FBINS_MASK n'est pas bien décrite dans le packet TM_LFR_HK.

En effet, le champ SERVICE_SUBTYPE: LOAD_FBINS_MASK = 93 devient dans la TM_LFR_HK,
HK_LFR_LAST_EXE_TC_SUBTYPE=91.. Par contre les autres champs

- HK_LFR_LAST_EXE_TC_ID=0x1ccc, HK_LFR_LAST_EXE_TC_TYPE=181, HK_LFR_LAST_EXE_TC_TIME=0x8000008f2ebb
sont corrects

12:00:09.661454, TC_LFR_LOAD_FBINS_MASK, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TC_PACKET =1,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0x1ccc), SEGMENTATION_GROUPING_FLAG:
STANDALONE_PACKET = 3, SEQUENCE_CNT=10208, (PACKET_SEQUENCE_CONTROL=0xe7e0), PACKET_LENGTH=53,
CCSDS_SECONDARY_HEADER_FLAG=0, PUS_VERSION = 1, ACK_EXECUTION_COMPLETION=1,
ACK_EXECUTION_PROGRESS=0, ACK_EXECUTION_START=0, ACK_ACCEPTANCE=1, SERVICE_TYPE:
EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: LOAD_FBINS_MASK = 93, SOURCE_ID: RECOVERY_ACTION_CMD =
112, FBINS_F0_WORD1 = Oxffffffff, FBINS_FO0_WORD2 = 0xffffffff, FBINS_FO_WORD3 = Oxffffffff, FBINS_F0_WORD4 =

Oxffffffff, FBINS_F1_WORD1 = Oxffffffff, FBINS_F1_WORD2 = Oxffffffff, FBINS_F1_WORD3 = 0xffffffff, FBINS_F1_WORD4 =
Oxffffffff, FBINS_F2_WORD1 = Oxffffffff, FBINS_F2_WORD2 = 0Oxffffffff, FBINS_F2_WORD3 = 0xffffffff, FBINS_F2_WORD4 =
Oxffffffff, CRC = 0x1147

12:00:09.670408, TM_LFR_TC_EXE_SUCCESS, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET =0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY: ACKNOWLEDGE
=1, (PACKET_ID=0xcc1), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=690,
(PACKET_SEQUENCE_CONTROL=0xc2b2), PACKET_LENGTH=13, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0,
SERVICE_TYPE: TELECOMMAND_VERIFICATION = 1, SERVICE_SUBTYPE: TC_EXECUTION_COMPLETION_SUCCESS =7,
DESTINATION_ID: RECOVERY_ACTION_CMD = 112, TIME=0x8000008f2ebb, PA_RPW_TELECOMMAND_PKT_ID=0x1ccc,
PA_RPW_PKT_SEQ_CONTROL=0xe7e0

12:00:09.680432, TM_LFR_HK, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TM_PACKET =0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET CATEGORY: HK_ROUTINE = 4,
(PACKET _ID=0xcc4), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=141,
(PACKET_SEQUENCE_CONTROL=0xc08d), PACKET LENGTH=129, SPARE_1=0, PUS_VERSION = 1, SPARE_2-0,
SERVICE_TYPE: HOUSEKEEPING_AND_DIAGNOSTIC_DATA REPORTING = 3, SERVICE_SUBTYPE:
HK_PARAMETER_REPORT = 25, DESTINATION_ID: GROUND = 0, TIME=0x8000008f31b4, PA_LFR_HK_REPORT_SID:
LFR_HK_SID = 1, HK_LFR_MODE: NORMAL = 1, HK_LFR_DPU_SPW_ENABLED: ENABLED = 1,
HK_LFR_DPU_SPW_LINK_STATE: RUN = 5, SPARE=0x0, HK_LFR_SC_POTENTIEL_FLAG: ON = 1,
HK_LFR_MAG_FIELDS_FLAG: OFF = 0, SY_LFR_WATCHDOG_ENABLED: DISABLED = 0, HK_LFR_CALIB_ENABLED:
DISABLED = 0, HK_LFR_RESET CAUSE: POWER ON =1, SY_LFR_SW_VERSION_N1=3, SY LFR_SW_VERSION_N2=0,

SY LFR_SW_VERSION_N3=0, SY LFR _SW_VERSION N4=9, SY LFR FPGA VERSION_N1=1,

SY LFR_FPGA_VERSION N2=1,SY LFR FPGA VERSION_N3=89, HK_LFR_CPU_LOAD=11.7647058824,
HK_LFR_CPU_LOAD MAX=16.862745098, HK_LFR_CPU_LOAD_AVE=0.0, HK_LFR_Q_SD_FIFO_SIZE_MAX=4,
HK_LFR_Q_SD_FIFO_SIZE=50, HK_LFR_Q_RV_FIFO_SIZE_MAX=1, HK_LFR_Q_RV_FIFO_SIZE=10,
HK_LFR_Q_PO_FIFO_SIZE_MAX=1, HK_LFR_Q_P0_FIFO_SIZE=10, HK_LFR_Q_P1_FIFO_SIZE_MAX=1,
HK_LFR_Q_P1_FIFO_SIZE=10, HK_LFR_Q_P2_FIFO_SIZE_MAX=1, HK_LFR_Q_P2_FIFO_SIZE=5,
HK_LFR_UPDATE_INFO_TC_CNT=0, HK_LFR_UPDATE_TIME_TC_CNT=0, HK_LFR_EXE_TC_CNT=609,
HK_LFR_REJ_TC_CNT=55, HK_LFR_LAST EXE_TC_ID=0Ox1ccc, HK_LFR_LAST EXE_TC_TYPE=181,

HK_LFR_LAST EXE_TC_SUBTYPE=91,HK_LFR_LAST_EXE_TC_TIME=0x8000008f2ebb, HK LFR_LAST REJ TC_ID=0x1ccc,
HK_LFR_LAST REJ TC TYPE=181, HK LFR_LAST REJ TC SUBTYPE=41, HK_LFR LAST REJ_TC_TIME=0x800000598¢1b

Cette fois j'ai bien verifié le fichier tm.csv et les valeurs sont identiques a celles communiquées ci-dessous. Donc pas de probleme
de traduction.
le script utilisé est /opt/VALIDATION_R3/Ifrverif/LFR_SVS/SVS-0019/tm_sequence_counter_loop.py et les fichiers de test
sont rangés dans /home/validation/data/R3/3.0.0.9/1.1.89/SVS-0019.

--> Veérifiez le comportement en cas d'erreur en attendant a chaque fois la HK pour vérifier les champs.

J'ai retrouvé un jeu de test datant du 13/05/2015 (/home/validation/data/R3/JUST-STBY-FBINS) , le bug etait déja présent et la
version du soft 3.0.0.0.
Donc I'erreur ne vient pas des modifications récentes.

Contexte du test

FSW 3.0.0.9

VHDL 1.1.89

EM sans Timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481
StarDundee

History

#1 - 05/10/2015 12:40 PM - Veronique bouzid

- Description updated
#2 - 05/10/2015 01:17 PM - Veronique bouzid
Hello,

Paul je viens de voir que je me suis trompée , la cde TC_LFR_LOAD_FBINS_MASK doit avoir un SUB-TYPE = 91 et non 93 comme je | ai mis.
Je corrige donc mon erreur mais cela n explique pas pourquoi tu n'as recopié correctement le champ.

#3 - 05/10/2015 01:23 PM - Veronique bouzid

- Status changed from New to Closed

erreur de ma part, je testais bien 91 mais j ai écrit 93 dans la fonction Detail.txt
